import { c as a, e as o } from "../../index-DSGwv2Yx.js";
function s(e, n, r) {
  return o().runKernel("MatMulGeluGrad", { dy: e, x: n, kernel: r });
}
const d = {
  kernelName: "MatMulGelu",
  inputsToSave: ["x", "kernel"],
  outputsToSave: [],
  gradFunc: (e, n) => {
    const [r, t] = n, [u, l] = s(e, r, t);
    return {
      x: () => u,
      kernel: () => l
    };
  }
};
a(d);
